
#ifndef _STRUCT_MODULE_H
#define _STRUCT_MODULE_H


#include "msgStruct.h"


typedef struct GPS_INIT
{
  // Serial speed and COM to use
  char	comNumber[16];	 /* serial port number : COM1, COM2 ...*/
  int   comSpeedCOM1;    /* COM1 speed */	
  int   comSpeedCOM2;    /* COM2 speed */
  
  // serial conf
  int	VMIN;        /* VMIN char */
  int   VTIME;       /* VMIN time */
  
  // differential
  char differentialMode[48];
  char log[48];
  
  // Serial fd & Logfile & verbosity
  char	logFileName[48]; /* name of file to store log */
  int	verbose;
} GPS_INIT;


typedef struct test
{
  double A;
  double B;
  double C;

}test;


#endif
