

#ifndef _MSG_PARSER_H
#define _MSG_PARSER_H

#include "GPSNovatel.h"

/////////////////////////////////////////////////////////////////
//
// Prototype
//
/////////////////////////////////////////////////////////////////
unsigned char  readUcharSerialNext(unsigned char *, int *);

unsigned short readUshortSerialNext(unsigned char *, int *);

char           readCharSerialNext(unsigned char *, int *);

double         readDoubleSerialNext(unsigned char *, int *);

float          readFloatSerialNext(unsigned char *, int *);

unsigned long readUlongSerialNext(unsigned char *, int *);


void computeBinaryMessage(unsigned char*, int, int, int, int, struct timeval);

void computeBinaryHeader(unsigned char *ucTrame, int *offset,  OEM4_BINARY_HEADER *BINARY_HEADER);

void computeBESTPOSb(OEM4BESTPOSb_LOG  *strBESTPOS, unsigned char *ucTrame, int *offset);

void computeBESTUTMb(OEM4BESTUTMb_LOG  *strBESTUTM, unsigned char *ucTrame, int *offset);

void computeBESTXYZb(OEM4BESTXYZb_LOG  *strBESTXYZb, unsigned char *ucTrame, int *offset);
void computeBESTVELb(OEM4BESTVELb_LOG  *strBESTVELb, unsigned char *ucTrame, int *offset);

#endif
